
QGIS Application - Bug report #13221

Calling QgsFields.field( QString ) on nonexistent field crashes QGIS

2015-08-15 02:51 PM - Spencer Gardner

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 21282

Description

Tested on latest QGIS 2.10 from source, Ubuntu 15.04

Steps to reproduce:

Create temporary scratch layer

Create new field "f" 

Open Python console

Paste the following code:

l = iface.activeLayer()

fs = l.pendingFields()

f = fs.field('f')

Associated revisions

Revision 42d5b9b2 - 2015-08-16 08:08 AM - Nyall Dawson

Python exceptions for invalid keys in QgsFields methods (fix #13221)

History

#1 - 2015-08-15 02:52 PM - Spencer Gardner

Apologies, the crashing code in the description should read:

l = iface.activeLayer()

fs = l.pendingFields()

f = fs.field('incorrect')

#2 - 2015-08-15 11:50 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"42d5b9b2aaeeb58e7b3c9352f11eb303fa6e5890".
